Bug 1134378 - [abrt] dnf: copr.py:147:run:KeyError: 'repos'
[abrt] dnf: copr.py:147:run:KeyError: 'repos'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:97f0d6d5c4fb0b93c56df1d60a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-27 08:24 EDT by Igor Gnatenko
Modified: 2014-11-10 01:13 EST (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 00:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.26 KB, text/plain)
2014-08-27 08:24 EDT, Igor Gnatenko
no flags Details
File: environ (2.69 KB, text/plain)
2014-08-27 08:25 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2014-08-27 08:24:54 EDT
Description of problem:
$ dnf copr search a

Version-Release number of selected component:
dnf-0.6.0-1.fc22

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python -OO /usr/bin/dnf copr search a
dso_list:       dnf-plugins-core-0.1.2-1.fc22.noarch
executable:     /usr/bin/dnf
kernel:         3.17.0-0.rc1.git3.1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
copr.py:147:run:KeyError: 'repos'

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 182, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1072, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/copr.py", line 147, in run
    while i < len(json_parse["repos"]):
KeyError: 'repos'

Local variables in innermost frame:
api_path: '/api/coprs/search/a/'
chroot: 'fedora-rawhide-x86_64'
json_parse: {u'output': u'nook', u'error': u'Search string must have at least 3 characters'}
i: 0
res: <addinfourl at 140317291969280 whose fp = <socket._fileobject object at 0x7f9e2af33ad0>>
project_name: u'a'
subcommand: u'search'
extcmds: [u'search', u'a']
opener: <urllib.FancyURLopener instance at 0x7f9e2a57f5f0>
repo_filename: '/etc/yum.repos.d/_copr_a.repo'
section_text: u'Matched: a'
self: <dnf.plugin.dynamic.copr.CoprCommand object at 0x7f9e2af34150>
Comment 1 Igor Gnatenko 2014-08-27 08:24:58 EDT
Created attachment 931434 [details]
File: backtrace
Comment 2 Igor Gnatenko 2014-08-27 08:25:00 EDT
Created attachment 931435 [details]
File: environ
Comment 4 Miroslav Suchý 2014-08-27 08:55:13 EDT
Merged as 54e28d9.
Comment 5 Fedora Update System 2014-09-05 06:42:51 EDT
dnf-plugins-core-0.1.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.3-1.fc21
Comment 6 Fedora Update System 2014-09-05 20:57:24 EDT
Package dnf-plugins-core-0.1.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10134/dnf-plugins-core-0.1.3-1.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-09-23 00:29:21 EDT
dnf-plugins-core-0.1.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-11-05 13:29:32 EST
dnf-plugins-core-0.1.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.1-4.fc20
Comment 9 lnie 2014-11-06 01:03:01 EST
dnf-plugins-core-0.1.1-4.fc20 works
Comment 10 Fedora Update System 2014-11-10 01:13:26 EST
dnf-plugins-core-0.1.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.